Debian Bug report logs - #656135
support findiso functionality

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Adrian Gibanel Lopez <adrian15sgd@gmail.com>

Date: Mon, 16 Jan 2012 19:03:04 UTC

Severity: wishlist

Tags: fixed-upstream, moreinfo

Merged with 659073

Found in version live-boot/3.0~a24-1

Fixed in version live-boot/3.0~a27-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, adrian15sgd@gmail.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Mon, 16 Jan 2012 19:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Gibanel Lopez <adrian15sgd@gmail.com>:
New Bug report received and forwarded. Copy sent to adrian15sgd@gmail.com, Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 Jan 2012 19:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Gibanel Lopez <adrian15sgd@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Add findiso boot parametre
Date: Mon, 16 Jan 2012 20:02:50 +0100
Package: live-boot
Version: 3.0~a24-1
Severity: wishlist

Dear Maintainer,

  I am trying to loop-mount-and-boot a debian-live-iso from grub2.
Grub2 has loop-mount capabilities so it can do it.

  It seems that Grml, a debian live derivative has already this feature and
they name it: findiso.

Some links that might help you:

* About loop-mount-and-boot from grub2:
http://www.supergrubdisk.org/wiki/Loopback.cfg
* Findiso patch from grml: http://git.grml.org/?p=live-boot-
grml.git;a=blob;f=debian/patches/07_support_findiso.patch;hb=HEAD
* Discussion of findiso option and other boot parametres in debian-live mailing
list: http://lists.debian.org/debian-live/2011/07/msg00146.html

My egoist reasons for this feature are:
* I could make a Rescatux + Super Grub2 Disk disk.
* Rescatux iso can be boot from grub2 thus from live pendrives
* I won't have to switch to an ubuntu base for making the live cd.

Making multi debian-live pendrives would be easier than ever and the pendrive
would be nicer. Only one iso file per iso.

Thank you very much!




-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Mon, 16 Jan 2012 21:06:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 16 Jan 2012 21:06:27 GMT) Full text and rfc822 format available.

Message #10 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Adrian Gibanel Lopez <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Mon, 16 Jan 2012 22:04:40 +0100
retitle 656135 support findiso functionality
tag 656135 moreinfo
thanks

On 01/16/2012 08:02 PM, Adrian Gibanel Lopez wrote:
> * Discussion of findiso option and other boot parametres in debian-live mailing
> list: http://lists.debian.org/debian-live/2011/07/msg00146.html

after that mail end of july where the patches were problems, we gave
feedback right away[0], and even pinged again[1] later in beginning of
september. so far no answer/action from grml.

if you're interested in getting findiso merged, can you have a look at it?

Regards,
Daniel

[0] http://lists.debian.org/debian-live/2011/08/msg00020.html
[1] http://lists.debian.org/debian-live/2011/09/msg00067.html

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'support findiso functionality' from 'Add findiso boot parametre' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 Jan 2012 21:06:32 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 Jan 2012 21:06:33 GMT) Full text and rfc822 format available.

Forcibly Merged 656135 659073. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 09:36:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 08 Feb 2012 10:30:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Fri, 06 Apr 2012 17:27:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 06 Apr 2012 17:27:01 GMT) Full text and rfc822 format available.

Message #23 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Fri, 06 Apr 2012 19:23:45 +0200
[Message part 1 (text/plain, inline)]
El 16/01/12 22:04, Daniel Baumann escribió:
> retitle 656135 support findiso functionality
> tag 656135 moreinfo
> thanks
>
> On 01/16/2012 08:02 PM, Adrian Gibanel Lopez wrote:
>> * Discussion of findiso option and other boot parametres in debian-live mailing
>> list: http://lists.debian.org/debian-live/2011/07/msg00146.html
>
> after that mail end of july where the patches were problems, we gave
> feedback right away[0], and even pinged again[1] later in beginning of
> september. so far no answer/action from grml.
>
> if you're interested in getting findiso merged, can you have a look at it?
>
> Regards,
> Daniel
>
> [0] http://lists.debian.org/debian-live/2011/08/msg00020.html
> [1] http://lists.debian.org/debian-live/2011/09/msg00067.html
>

I think I've finally managed to make the patch.

I've even improved the part about checking that the iso was mounted that 
intrigeri pointed out at:
http://lists.debian.org/debian-live/2011/09/msg00067.html

I've tested the findiso option from a grub2 cdrom iso in a virtualbox VM.
I've tested the findiso option from a grub2 usb pendrive in an actual 
machine.

I've also tested normal boot and I haven't noticed anything strange on it.

Here you are (attached).

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[findiso.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Fri, 06 Apr 2012 18:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 06 Apr 2012 18:24:02 GMT) Full text and rfc822 format available.

Message #28 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Fri, 06 Apr 2012 20:21:32 +0200
Hi,

adrian15 wrote (06 Apr 2012 17:23:45 GMT) :
> I think I've finally managed to make the patch.

Thank you.

> I've even improved the part about checking that the iso was mounted
> that intrigeri pointed out at:
> http://lists.debian.org/debian-live/2011/09/msg00067.html

So you have replaced

  grep -q /live/findiso /proc/mounts && umount /root/live/findiso

with

  [ ! -z ${mountpoint} ] && umount /root/live/findiso

It seems more fragile to me than what the original patch did (although
it did in a way I did not like); but maybe you can explain us why this
new check is sufficient and/or better suited than the old one?

Other than that, this patch is fine with me.

Regards,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Fri, 06 Apr 2012 18:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 06 Apr 2012 18:42:15 GMT) Full text and rfc822 format available.

Message #33 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Fri, 06 Apr 2012 20:39:46 +0200
El 06/04/12 20:21, intrigeri escribió:
> Hi,
>
> adrian15 wrote (06 Apr 2012 17:23:45 GMT) :
>> I think I've finally managed to make the patch.
>
> Thank you.
>
>> I've even improved the part about checking that the iso was mounted
>> that intrigeri pointed out at:
>> http://lists.debian.org/debian-live/2011/09/msg00067.html
>
> So you have replaced
>
>    grep -q /live/findiso /proc/mounts&&  umount /root/live/findiso
>
> with
>
>    [ ! -z ${mountpoint} ]&&  umount /root/live/findiso
>
> It seems more fragile to me than what the original patch did (although
> it did in a way I did not like); but maybe you can explain us why this
> new check is sufficient and/or better suited than the old one?

Well, actually, I wanted to ask you what did you mean when you said that 
exactly but I didn't think of sending you an email.

This is my own interpretation of what you wrote and I can't explain if 
it's sufficient or better suited than the old one.

I can re-submit the patch without this change or try to implement 
whatever you meant if you explain it.

> Other than that, this patch is fine with me.
>
> Regards,

That's good.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 07:27:03 GMT) Full text and rfc822 format available.

Message #38 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 09:22:50 +0200
Hi,

adrian15 wrote (06 Apr 2012 18:39:46 GMT) :
>>> I've even improved the part about checking that the iso was mounted
>>> that intrigeri pointed out at:
>>> http://lists.debian.org/debian-live/2011/09/msg00067.html
>>
>> So you have replaced
>>
>>    grep -q /live/findiso /proc/mounts&&  umount /root/live/findiso
>>
>> with
>>
>>    [ ! -z ${mountpoint} ]&&  umount /root/live/findiso
>>
>> It seems more fragile to me than what the original patch did (although
>> it did in a way I did not like); but maybe you can explain us why this
>> new check is sufficient and/or better suited than the old one?

> Well, actually, I wanted to ask you what did you mean when you said
> that exactly but I didn't think of sending you an email.

I suggested using the mountpoint *command* instead of the ugly
grep hack.

> I can re-submit the patch without this change or try to implement
> whatever you meant if you explain it.

Please do.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 14:09:07 GMT) Full text and rfc822 format available.

Message #43 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 16:06:47 +0200
[Message part 1 (text/plain, inline)]
El 07/04/12 09:22, intrigeri escribió:
> Hi,
>
> adrian15 wrote (06 Apr 2012 18:39:46 GMT) :
>>>> I've even improved the part about checking that the iso was mounted
>>>> that intrigeri pointed out at:
>>>> http://lists.debian.org/debian-live/2011/09/msg00067.html
>>>
>>> So you have replaced
>>>
>>>     grep -q /live/findiso /proc/mounts&&   umount /root/live/findiso
>>>
>>> with
>>>
>>>     [ ! -z ${mountpoint} ]&&   umount /root/live/findiso
>>>
>>> It seems more fragile to me than what the original patch did (although
>>> it did in a way I did not like); but maybe you can explain us why this
>>> new check is sufficient and/or better suited than the old one?
>
>> Well, actually, I wanted to ask you what did you mean when you said
>> that exactly but I didn't think of sending you an email.
>
> I suggested using the mountpoint *command* instead of the ugly
> grep hack.
>
>> I can re-submit the patch without this change or try to implement
>> whatever you meant if you explain it.
>
> Please do.

Ok. I have included mountpoint command (now the copy_exec part makes 
sense to me :)). And I have used it as requested.

Given the trivial changes I have done I have not tested it (not even 
sure how to test that).

I am supposing that mountpoint is an standard command that comes with 
Debian standard packages and thus you don't have to edit any 
build-depends variable on the package definition. If my supposition is 
false please complain.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[findiso_0.02.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 16:33:04 GMT) Full text and rfc822 format available.

Message #48 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org, intrigeri <intrigeri+debian-live@boum.org>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 18:29:32 +0200
On 04/07/2012 04:06 PM, adrian15 wrote:
> I am supposing that mountpoint is an standard command that comes with
> Debian standard packages and thus you don't have to edit any
> build-depends variable on the package definition.

it would be a depends, not a build-depends. the initrd is build on the
target system, not on the build system.

/bin/mountpoint is part of initscripts from sysvinit. i'm afraid we
cannot use this - a depends on initscripts is too invasive for systems
running alternative init systems (systemd, upstart, etc).

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 17:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 17:09:12 GMT) Full text and rfc822 format available.

Message #53 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net
Cc: adrian15 <adrian15sgd@gmail.com>, 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 19:04:19 +0200
Hi,

Daniel Baumann wrote (07 Apr 2012 16:29:32 GMT) :
> /bin/mountpoint is part of initscripts from sysvinit. i'm afraid we
> cannot use this - a depends on initscripts is too invasive for
> systems running alternative init systems (systemd, upstart, etc).

May I ask why?

System-V's /sbin/init is provided by the sysvinit binary package.
I think the initscripts binary package, even if it's built from the
sysvinit source package, can perfectly coexist with alternative init
systems, can't it?

Moreover, initscripts is "Priority: required", so...

Did I miss anything?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 17:15:04 GMT) Full text and rfc822 format available.

Message #58 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 656135@bugs.debian.org, intrigeri <intrigeri+debian-live@boum.org>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 19:14:08 +0200
[Message part 1 (text/plain, inline)]
El 07/04/12 18:29, Daniel Baumann escribió:
> On 04/07/2012 04:06 PM, adrian15 wrote:
>> I am supposing that mountpoint is an standard command that comes with
>> Debian standard packages and thus you don't have to edit any
>> build-depends variable on the package definition.
>
> it would be a depends, not a build-depends. the initrd is build on the
> target system, not on the build system.
>
> /bin/mountpoint is part of initscripts from sysvinit. i'm afraid we
> cannot use this - a depends on initscripts is too invasive for systems
> running alternative init systems (systemd, upstart, etc).

This is the alternate patch then.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[findiso_0.03.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 17:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 17:21:07 GMT) Full text and rfc822 format available.

Message #63 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: adrian15 <adrian15sgd@gmail.com>, 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 19:19:36 +0200
On 04/07/2012 07:04 PM, intrigeri wrote:
> May I ask why?

sure.

there are two reasons, mainly:

first, it clutters the system uselessly. it seems overkill to me to need
the whole initscripts package just for that single program. granted,
initscripts is not a really huge package.

second, i prefere to avoid packages of other init systems when using
non-sysvinit init. some init systems behave different (switching to
'legacy' mode automatically, rather than to run in 'native' mode) when
initscripts is installed.

if /bin/mountpoint would be a complex and very handy program, well, i
would not have much of a problem (maybe trying to get it moved to
another binary or source package (e.g. util-linux where it would be a
proper fit)). however.. /bin/mountpoints can be replicaeded as a
function of two lines of shell only, so, weighting above two issues
(which are not that convincing by itself) against a trivial shell
function, i'd go for the latter.

> I think the initscripts binary package, even if it's built from the
> sysvinit source package, can perfectly coexist with alternative init
> systems, can't it?

absolutely. i didn't ment to imply a conflict between the two packages.

> Moreover, initscripts is "Priority: required", so...

first, this will change as soon as debian allows to have non-sysvinit
initsystems choosen by the user. granted, probably not for wheezy, but
we shouldn't rely on it when we know that this will change anytime
'soon' anyway.

second, e.g. on progress linux, the wheezy based system will use systemd
by default. being nice to derivatives, it would be nice to not need to
ship custom live-boot just because of this.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #68 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: daniel.baumann@progress-technologies.net, 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 20:36:28 +0200
Hi,

adrian15 wrote (07 Apr 2012 17:14:08 GMT) :
> This is the alternate patch then.

I'm fine with the reasons Daniel provided against using mountpoint in
live-boot, but I still don't consider "grep -q /live/findiso
/proc/mounts" as a robust way to check that /root/live/findiso (or
/live/findiso?) is mounted.

I think we need to use something similar to mountpoint but written in
shell, that is either parse /proc/mounts, or copy the way
/bin/mountpoint works (its algorithm boils down comparing if the
major:minor matches the ones of the parent directory).

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 19:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 19:06:05 GMT) Full text and rfc822 format available.

Message #73 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: 656135@bugs.debian.org, adrian15 <adrian15sgd@gmail.com>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 21:02:38 +0200
On 04/07/2012 08:36 PM, intrigeri wrote:
> I think we need to use something similar to mountpoint but written in
> shell, that is either parse /proc/mounts, or copy the way
> /bin/mountpoint works (its algorithm boils down comparing if the
> major:minor matches the ones of the parent directory).

alternatively, we could ask to move mountpoint from initscripts to
util-linux, though, that might take a very long time to accomplish.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #78 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net
Cc: 656135@bugs.debian.org, adrian15 <adrian15sgd@gmail.com>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 21:28:47 +0200
Hi,

Daniel Baumann wrote (07 Apr 2012 19:02:38 GMT) :
> alternatively, we could ask to move mountpoint from initscripts to
> util-linux, though, that might take a very long time to accomplish.

Moving /bin/mountpoint to another, better suited package would
be great.

However, I would not like to see the current effort of getting findiso
into live-boot, to be stalled by the outcome of this move.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 20:03:05 GMT) Full text and rfc822 format available.

Message #83 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: 656135@bugs.debian.org, adrian15 <adrian15sgd@gmail.com>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sat, 07 Apr 2012 22:00:15 +0200
On 04/07/2012 09:28 PM, intrigeri wrote:
> Moving /bin/mountpoint to another, better suited package would
> be great.

i'll open a bug on sysvinit for that.

> However, I would not like to see the current effort of getting findiso
> into live-boot, to be stalled by the outcome of this move.

sure.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sat, 07 Apr 2012 22:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 07 Apr 2012 22:24:06 GMT) Full text and rfc822 format available.

Message #88 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: daniel.baumann@progress-technologies.net, 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 00:19:17 +0200
[Message part 1 (text/plain, inline)]
El 07/04/12 20:36, intrigeri escribió:
> Hi,
>
> adrian15 wrote (07 Apr 2012 17:14:08 GMT) :
>> This is the alternate patch then.
>
> I'm fine with the reasons Daniel provided against using mountpoint in
> live-boot, but I still don't consider "grep -q /live/findiso
> /proc/mounts" as a robust way to check that /root/live/findiso (or
> /live/findiso?) is mounted.
>
> I think we need to use something similar to mountpoint but written in
> shell, that is either parse /proc/mounts, or copy the way
> /bin/mountpoint works (its algorithm boils down comparing if the
> major:minor matches the ones of the parent directory).
>
> Cheers,

I rewrote the patch according to intrigeri wishes and with some pieces 
of advice from Daniel.

After testing this patch with boot parametres: findiso and to ram.

I have run:

cat /proc/mounts

and the results are:

    rootfs / rootfs rw 0 0
    sysfs /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0
    proc /proc proc rw,nosuid,nodev,noexec,relatime 0 0
    udev /dev devtmpfs 
rw,relatime,size=506840k,nr_inodes=126710,mode=755 0 0
    devpts /dev/pts devpts 
rw,nosuid,noexec,relatime,gid=5,mode=620,ptmxmode=000 0 0
    tmpfs /run tmpfs rw,nosuid,noexec,relatime,size=102704k,mode=755 0 0
    /dev/sr0 /live/findiso iso9660 ro,noatime 0 0
    /dev/shm /live/image tmpfs rw,relatime,size=144388k 0 0
    /dev/loop1 /live/rofs/filesystem.squashfs squashfs ro,noatime 0 0
    tmpfs /live/cow tmpfs rw,noatime,mode=755 0 0
    aufs / aufs rw,relatime,si=12f0b3e00b69d11c,noxino 0 0
    tmpfs /live tmpfs rw,relatime 0 0
    proc /proc proc rw,nosuid,nodev,noexec,relatime 0 0
    tmpfs /run/lock tmpfs rw,nosuid,nodev,noexec,relatime,size=5120k 0 0
    tmpfs /tmp tmpfs rw,nosuid,nodev,relatime,size=205404k 0 0
    sysfs /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0
    tmpfs /run/shm tmpfs rw,nosuid,nodev,relatime,size=205404k 0 0


I don't see any /root/live/findiso so I guess it's ok.

If the patch is accepted I will send a similar patch for fromiso/isofrom 
option so that it uses the is_mountpoint function.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[findiso_0.05.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 08 Apr 2012 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 05:15:03 GMT) Full text and rfc822 format available.

Message #93 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org, intrigeri <intrigeri+debian-live@boum.org>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 07:11:06 +0200
On 04/08/2012 12:19 AM, adrian15 wrote:
> I rewrote the patch according to intrigeri wishes and with some pieces
> of advice from Daniel.

but now you did worsen it a bit compared to the last iteration :)

  * use 'mkdir -p /live/findiso' instead of 'mkdir /live/findiso -p'
    for consistency.

  * use 'if [ -d /live/findiso ] && [ ! -d /root/live/findiso ]'
    instead of 'if [ -d /live/findiso -a ! -d /root/live/findiso ]'
    which is a bashism.

  * don't use 'local' when declaring variables, it's a bashism.

other than that, looks good to me.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 08 Apr 2012 10:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 10:54:19 GMT) Full text and rfc822 format available.

Message #98 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 656135@bugs.debian.org, intrigeri <intrigeri+debian-live@boum.org>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 12:50:18 +0200
[Message part 1 (text/plain, inline)]
El 08/04/12 07:11, Daniel Baumann escribió:
> On 04/08/2012 12:19 AM, adrian15 wrote:
>> I rewrote the patch according to intrigeri wishes and with some pieces
>> of advice from Daniel.
>
> but now you did worsen it a bit compared to the last iteration :)
>
>    * use 'mkdir -p /live/findiso' instead of 'mkdir /live/findiso -p'
>      for consistency.
>
>    * use 'if [ -d /live/findiso ]&&  [ ! -d /root/live/findiso ]'
>      instead of 'if [ -d /live/findiso -a ! -d /root/live/findiso ]'
>      which is a bashism.
>
>    * don't use 'local' when declaring variables, it's a bashism.
>
> other than that, looks good to me.
>

I rewrote the patch with your pieces of advice implemented.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[findiso_0.06.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 08 Apr 2012 11:34:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 11:34:13 GMT) Full text and rfc822 format available.

Message #103 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org, intrigeri <intrigeri+debian-live@boum.org>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 13:29:28 +0200
On 04/08/2012 12:50 PM, adrian15 wrote:
> I rewrote the patch with your pieces of advice implemented.

looks good to me, thanks for you patience with it.

intrigeri, ack for applying it?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 08 Apr 2012 18:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 18:30:07 GMT) Full text and rfc822 format available.

Message #108 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: daniel.baumann@progress-technologies.net
Cc: 656135@bugs.debian.org, intrigeri <intrigeri+debian-live@boum.org>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 20:28:08 +0200
[Message part 1 (text/plain, inline)]
El 08/04/12 13:29, Daniel Baumann escribió:
> On 04/08/2012 12:50 PM, adrian15 wrote:
>> I rewrote the patch with your pieces of advice implemented.
>
> looks good to me, thanks for you patience with it.
>
> intrigeri, ack for applying it?

This is another patch that would complement the first one.

It includes reducing the is_mountpoint function and making sure that the 
filesystem is not cluttered with unused mountpoint directorios (findiso 
in this specific case).

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[findiso_possible_improvement_0.01.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 08 Apr 2012 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 18:36:06 GMT) Full text and rfc822 format available.

Message #113 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net
Cc: 656135@bugs.debian.org, adrian15 <adrian15sgd@gmail.com>, intrigeri <intrigeri+debian-live@boum.org>, control@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 20:33:37 +0200
tags 656135 + fixed-upstream
thanks

Daniel Baumann wrote (08 Apr 2012 11:29:28 GMT) :
> intrigeri, ack for applying it?

Applied in Git, with a few improvements as follow-up commits.

Thanks adrian15!

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Added tag(s) fixed-upstream. Request was from intrigeri <intrigeri+debian-live@boum.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 18:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 08 Apr 2012 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 19:51:06 GMT) Full text and rfc822 format available.

Message #120 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: daniel.baumann@progress-technologies.net, 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 21:46:49 +0200
El 08/04/12 20:33, intrigeri escribió:
> tags 656135 + fixed-upstream
> thanks
>
> Daniel Baumann wrote (08 Apr 2012 11:29:28 GMT) :
>> intrigeri, ack for applying it?
>
> Applied in Git, with a few improvements as follow-up commits.
>
> Thanks adrian15!
>
> Cheers,

The changes seem fine to me.

Thank you! Let's hope that findiso option make Debian live cds the 
killer live cds.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 08 Apr 2012 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 08 Apr 2012 20:57:05 GMT) Full text and rfc822 format available.

Message #125 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 08 Apr 2012 22:54:39 +0200
[Message part 1 (text/plain, inline)]
El 08/04/12 20:33, intrigeri escribió:
> tags 656135 + fixed-upstream
> thanks
>
> Daniel Baumann wrote (08 Apr 2012 11:29:28 GMT) :
>> intrigeri, ack for applying it?
>
> Applied in Git, with a few improvements as follow-up commits.
>
> Thanks adrian15!
>
> Cheers,

While trying to improve fromiso/isofrom option I've just realised that 
the original grml implementation of findiso checked for: /live/findiso 
on /proc/mounts while what it was unmounted was: /root/live/findiso .

But according to current fromiso implementation it would seem that you 
have to check exactly the same directory as the one you're umounting.

I'm not very sure about this reasoning so please take my patch with caution.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/
[findiso_dir_check_fix.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Mon, 09 Apr 2012 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 09 Apr 2012 07:51:04 GMT) Full text and rfc822 format available.

Message #130 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Mon, 09 Apr 2012 09:46:42 +0200
Hi,

adrian15 wrote (08 Apr 2012 20:54:39 GMT) :
> But according to current fromiso implementation it would seem that
> you have to check exactly the same directory as the one
> you're umounting.

> I'm not very sure about this reasoning so please take my patch
> with caution.

Looks great, but may you please test this patch (against current
debian-next) and confirm it works fine?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Mon, 09 Apr 2012 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 09 Apr 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #135 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Mon, 09 Apr 2012 18:33:11 +0200
El 09/04/12 09:46, intrigeri escribió:
> Hi,
>
> adrian15 wrote (08 Apr 2012 20:54:39 GMT) :
>> But according to current fromiso implementation it would seem that
>> you have to check exactly the same directory as the one
>> you're umounting.
>
>> I'm not very sure about this reasoning so please take my patch
>> with caution.
>
> Looks great, but may you please test this patch (against current
> debian-next) and confirm it works fine?
>
> Cheers,

I have tested it (toram and findiso boot parametres together) and I 
suppose it works ok because:

* Inside /proc/mounts there's no reference to findiso string.
* Inside /live folder I only find: image, overlay and rofs folders.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 09 Apr 2012 17:21:03 GMT) Full text and rfc822 format available.

Notification sent to Adrian Gibanel Lopez <adrian15sgd@gmail.com>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 17:21:03 GMT) Full text and rfc822 format available.

Message #140 received at 656135-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 656135-close@bugs.debian.org
Subject: Bug#656135: fixed in live-boot 3.0~a27-1
Date: Mon, 09 Apr 2012 17:18:36 +0000
Source: live-boot
Source-Version: 3.0~a27-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-doc_3.0~a27-1_all.deb
  to main/l/live-boot/live-boot-doc_3.0~a27-1_all.deb
live-boot-initramfs-tools_3.0~a27-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a27-1_all.deb
live-boot_3.0~a27-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a27-1.debian.tar.gz
live-boot_3.0~a27-1.dsc
  to main/l/live-boot/live-boot_3.0~a27-1.dsc
live-boot_3.0~a27-1_all.deb
  to main/l/live-boot/live-boot_3.0~a27-1_all.deb
live-boot_3.0~a27.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a27.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656135@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Apr 2012 18:58:06 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a27-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 656135
Changes: 
 live-boot (3.0~a27-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Only looking at boot.d files if they have the .conf suffix to allow
     putting other files into these places that do not necessarily need
     to be used by live-boot (e.g. documentation).
   * Removing preseed bottom-script, a newly written one is now in live-
     config where this sort of things belong.
   * Removing header in fstab, not required.
   * Removing outdated and broken accessibility script, this will be
     redone in live-config properly.
   * Replacing 'illegal' with better fitting 'invalid' for wrongly
     crafted input examples in live.persist manpage.
   * Consistently using ext4 in all examples, not a mix of ext2 and ext3.
   * Removing user and userfullname variables in scripts/live, they are
     not used here sind live-config anymore.
   * Renaming /live/cow to /live/overlay in anticipation of overlayfs.
   * Using 'persistence' (noun) rather than 'persistent'
     (adjective/adverb) everywhere.
   * Making extraction of the manpage section in manpages/Makefile work
     with multiple dots in the filename.
   * Renaming live.persist to live-persistence.conf.
 .
   [ Tails developers ]
   * Adding support for the findiso boot parameter (Closes: #656135).
   * Fixing findiso argument parsing place to match the existing
     ordering.
   * Removing overkill double-checking of return code in is_mountpoint
     predicate.
   * Fixing brace alignment to follow common code style.
   * Removing leftover directory after unmounting.
 .
   [ Daniel Baumann ]
   * Removing old docs.
   * Merging old changelog into current changelog.
   * Updating toplevel Makefile to work with manpages having multiple
     dots in its filename.
   * Renamling linkfiles option when using persistence to simply link.
 .
   [ Tails developers ]
   * Allow using / as destination in custom mounts.
   * Supress warnings when probing media for persistence.
   * Do not probe the device mounted on /live/image for persistence.
   * Fix typo to make home-sn snapshots work again.
   * Only try copying snapshots if we actually found any.
Checksums-Sha1: 
 231cf1e7342f1234bb66e7c4a3f876724c9ce153 1383 live-boot_3.0~a27-1.dsc
 4694b987907c54f1d82e68deed0ef1e356066e9c 89449 live-boot_3.0~a27.orig.tar.gz
 649c9c6653be38cd37176a40471b77b533531994 20804 live-boot_3.0~a27-1.debian.tar.gz
 ebcf560bf021bcef04c7b820d38581179d941237 30570 live-boot_3.0~a27-1_all.deb
 5824f09aa0212ab144373de27c5ff37fbdc11866 43934 live-boot-doc_3.0~a27-1_all.deb
 94ba986c3f1f9390a23b9245f349663fb436d188 49574 live-boot-initramfs-tools_3.0~a27-1_all.deb
Checksums-Sha256: 
 bfa1944c4b6ff48de49b89430106983a91b21778be6915c89d34afb42a6e6f63 1383 live-boot_3.0~a27-1.dsc
 e39568aceb81dc76e9fe7abd61f4ed7c26379daf6655cb9bd8409ac5cda10d23 89449 live-boot_3.0~a27.orig.tar.gz
 0ef9724039e2b52783579fb323f503243f4be70d8983593a1edf3084dbd84a5f 20804 live-boot_3.0~a27-1.debian.tar.gz
 faebb3b20094f696eb0dbcdfba38329b61ba196ecbb676398ecb50f3b2313cb3 30570 live-boot_3.0~a27-1_all.deb
 41bd3d5e7ed941f8e82b473a397b8ac35bf9cab2415b7e5c029e12e4b9acc550 43934 live-boot-doc_3.0~a27-1_all.deb
 163ae450d01175fc57eacf9a24a6624bd302197e11c4f5e352c1d7835d35c9f9 49574 live-boot-initramfs-tools_3.0~a27-1_all.deb
Files: 
 b4b4020e1a7a55ecdf307f92d1d486df 1383 misc optional live-boot_3.0~a27-1.dsc
 2339a74ee916a19b6e42be2f751ce1ff 89449 misc optional live-boot_3.0~a27.orig.tar.gz
 6756565668fcf5044c558e74cb5055d8 20804 misc optional live-boot_3.0~a27-1.debian.tar.gz
 d64cdef028528f041d705fd32f7b017d 30570 misc optional live-boot_3.0~a27-1_all.deb
 09c8241ce69ca4d147fa02bbc5c87731 43934 doc optional live-boot-doc_3.0~a27-1_all.deb
 c65ea2a7cc7ad9a0cd3e7ea5b6a687a9 49574 misc optional live-boot-initramfs-tools_3.0~a27-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+DFiQACgkQ+C5cwEsrK565hQCgv5RFXjOM0RKLl5D1v1ejqcp7
bGQAnjj6ArScejnKidPbIdZ0x67WMvp3
=c8Rw
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 09 Apr 2012 17:21:04 GMT) Full text and rfc822 format available.

Notification sent to don martino <donatom.martino@gmail.com>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 17:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Mon, 09 Apr 2012 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 09 Apr 2012 17:24:03 GMT) Full text and rfc822 format available.

Message #150 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Mon, 09 Apr 2012 19:22:47 +0200
adrian15 wrote (09 Apr 2012 16:33:11 GMT) :
> I have tested it (toram and findiso boot parametres together) and
> I suppose it works ok because:

Thanks, applied.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Mon, 09 Apr 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 09 Apr 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #155 received at 656135@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: intrigeri <intrigeri+debian-live@boum.org>, 656135@bugs.debian.org
Cc: adrian15 <adrian15sgd@gmail.com>
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Mon, 09 Apr 2012 19:28:49 +0200
what i don't get is why the thing is mounted in /root/live/$whatever in
the first place if it is unmounted their afterwards anyway.

or in other words: there should be nothing interfering with /root/*
unless it's staying there after the initramfs->real-system switch, so
the temporary mounting should be somewhere in initramfs, like
/live/$whatever that it was (in parts) before.

..or am i missing something?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Mon, 09 Apr 2012 18:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 09 Apr 2012 18:00:02 GMT) Full text and rfc822 format available.

Message #160 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Mon, 09 Apr 2012 19:57:43 +0200
El 09/04/12 19:28, Daniel Baumann escribió:
> what i don't get is why the thing is mounted in /root/live/$whatever in
> the first place if it is unmounted their afterwards anyway.
>
> or in other words: there should be nothing interfering with /root/*
> unless it's staying there after the initramfs->real-system switch, so
> the temporary mounting should be somewhere in initramfs, like
> /live/$whatever that it was (in parts) before.
>
> ..or am i missing something?

As I understand it myself:

  It's only unmounted afterwards if you're using the TORAM option.

  You need to mount it in the first place so that you can access the 
iso contents and copy them to RAM.

  Once the content is copied to the RAM the iso is unmounted so, as its 
explained in a comment in the code, you can fsck the underlying device 
(Which I suppose gets umounted later, haven't checked that).

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 15 Apr 2012 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to adrian15 <adrian15sgd@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 15 Apr 2012 09:27:11 GMT) Full text and rfc822 format available.

Message #165 received at 656135@bugs.debian.org (full text, mbox):

From: adrian15 <adrian15sgd@gmail.com>
To: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 15 Apr 2012 11:25:08 +0200
El 09/04/12 19:28, Daniel Baumann escribió:
> what i don't get is why the thing is mounted in /root/live/$whatever in
> the first place if it is unmounted their afterwards anyway.
>
> or in other words: there should be nothing interfering with /root/*
> unless it's staying there after the initramfs->real-system switch, so
> the temporary mounting should be somewhere in initramfs, like
> /live/$whatever that it was (in parts) before.
>
> ..or am i missing something?


According to Michael Prokop (I sent him an email) if findiso option 
works without that code we should remove it. It describes the grml 
live-boot ancestors to be live-initramfs and knoppix. So he means that 
some code might be unneccesary.

Being that fromiso and findiso are very similar in functionality and 
that fromiso does not have similar code I apply for removing it.

Not to say that findiso option has to be tested after removing it just 
to be sure that we aren't breaking anything.

adrian15
-- 
Support free software. Donate to Super Grub Disk. Apoya el software 
libre. Dona a Super Grub Disk. http://www.supergrubdisk.org/donate/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#656135; Package live-boot. (Sun, 15 Apr 2012 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 15 Apr 2012 10:09:07 GMT) Full text and rfc822 format available.

Message #170 received at 656135@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: adrian15 <adrian15sgd@gmail.com>
Cc: 656135@bugs.debian.org
Subject: Re: Bug#656135: Add findiso boot parametre
Date: Sun, 15 Apr 2012 12:04:08 +0200
Hi,

adrian15 wrote (15 Apr 2012 09:25:08 GMT) :
> El 09/04/12 19:28, Daniel Baumann escribió:
>> what i don't get is why the thing is mounted in /root/live/$whatever in
>> the first place if it is unmounted their afterwards anyway.
>>
>> or in other words: there should be nothing interfering with /root/*
>> unless it's staying there after the initramfs->real-system switch, so
>> the temporary mounting should be somewhere in initramfs, like
>> /live/$whatever that it was (in parts) before.
>>
>> ..or am i missing something?

> According to Michael Prokop (I sent him an email) if findiso option
> works without that code we should remove it. It describes the grml
> live-boot ancestors to be live-initramfs and knoppix. So he means
> that some code might be unneccesary.

> Being that fromiso and findiso are very similar in functionality and
> that fromiso does not have similar code I apply for removing it.

> Not to say that findiso option has to be tested after removing it
> just to be sure that we aren't breaking anything.

If you're interested in improving this, this is great!

Please note that we're discussing, on a closed bug report, of matters
that don't exactly fit the purpose of the original bug report. I find
it slightly suboptimal.

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Jul 2012 07:27:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:41:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.